ORT-C-MANPAGE(1)

NAME
ort-c-manpage - generate C API documentation

SYNOPSIS
ort-c-manpage [-jJv] [config...]

DESCRIPTION
The ort-c-manpage utility accepts ort(5) config files, defaulting to standard input, and generates C API documentation. Its arguments are as follows:

-j  Output kcgijson(3) JSON export function declaration documentation.

-J  Output JSON import function declaration documentation.

-v  Output kcgi(3) validation variables documentation.

The output is in mdoc(7). It is arranged into sub-sections beneath the DESCRIPTION.

The documentation begins with data structures (describing roles, structures, enumerations, and bit-fields where applicable). It continues with database input, which consists of queries, updates, and deletes where applicable.

If -J is enabled, output continues with JSON input functions using the built-in JSMN implementation. If -j is enabled, it continues with JSON output, which consists of the JSON output using kcgijson(3). Lastly, -v continues with validation variables.

The DESCRIPTION section is conditionally followed by a SEE ALSO.

EXIT STATUS

EXAMPLES
To quickly browse the C API documentation for a given configuration on mandoc(1) systems, simply run:

    ort-c-manpage db.ort | mandoc | less

Or on systems using groff(1) for manpage rendering:

    ort-c-manpage db.ort | groff -Tutf8 -mandoc -itk | less -R

SEE ALSO
ort-c-header(1), ort-c-source(1), kcgi(3), kcgijson(3), ort(5), mdoc(7)